package com.mosty.base.annot;

import com.mosty.base.annot.validation.RybqValidation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author zhangzhao
 * @description 校验是否是人员标签 注解
 * @modifier zhangzhao
 * @modifiedTime 2023/3/18 14:06
 * @since 2023/3/18 14:06
 */
@Documented
@Target({METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER, TYPE_USE})
@Retention(RUNTIME)
@Constraint(validatedBy = {RybqValidation.class})
public @interface IsRybq {

    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};

    /**
     * 错误提示信息
     * @return 错误提示信息
     */
    String message() default "dict.not.standard";

    /**
     * 是否必填，默认为必填
     * @return 是否
     */
    boolean isNotBlank() default true;

    /**
     * 最大值
     * @return 最大值
     */
    int max() default Integer.MAX_VALUE;

    /**
     * 最小值
     * @return 最小值
     */
    int min() default Integer.MIN_VALUE;

}
